main {
    max-width: 1000px;
    margin: 0 auto;
    padding: 2rem 1rem;
    position: relative;
}

button {
    cursor: pointer;
}

.size-guide {
    font-size: 1rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.size-guide p,
.size-guide h1,
.size-guide h2 {
    margin-bottom: 0;
    margin-top: 0;
}

.size-guide h1 {
    font-size: 1.5rem;
}

.size-guide h2 {
    font-size: 1.2rem;
}

@media (min-width: 768px) {
    .size-guide h1 {
        font-size: 2rem;
    }

    .size-guide h2 {
        font-size: 1.5rem;
    }
}

.return {
    font-size: 1rem;
    color: black;
    background-color: transparent;
    border: none;
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.return.btn {
    width: fit-content;
    border: 1px solid black;
    margin: 2rem auto 0 auto;
    padding: 0.9rem 2.5rem;
    justify-content: center;
}

#step1 {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.hint {
    color: #555;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.hint img {
    max-width: 120px;
}

.watch-measure {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    justify-content: center;
}

.type-wrist-width {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
}

.type-wrist-width input {
    font-size: 1rem;
    width: 128px;
    line-height: 2;
    padding: 5px 10px;
    border: 1px solid #999;
}

.alert-msg {
    color: #920000;
    font-size: 0.9rem;
    display: none;
}

.alert-msg.active {
    display: block;
}

.watch-measure button {
    font-size: 1rem;
    color: black;
    padding: 0.9rem 3rem;
    background-color: #60CFF6;
    border: none;
    border-radius: 0;
}

.no-ruler {
    background: none;
    border: none;
    font-size: 1rem;
    color: black;
    text-decoration: underline;
}

@media (min-width: 1024px){
    .no-ruler:hover {
        color: #137EC1;
    }
}

#step2 {
    flex-direction: column;
    gap: 1rem;
    display: none;
    color: #555;
}

#step2.active {
    display: flex;
}

.watch-size {
    max-width: 650px;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

.watch-size button {
    min-width: 90px;
    min-height: 45px;
    font-size: 1rem;
    color: black;
    border: 1px solid black;
    border-radius: 5px;
    background-color: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0;
    opacity: 0.7;
}

.watch-size button.active {
    border: 1px solid black;
    background-color: black;
    color: white;
    opacity: 1;
}

.watch-demo {
    display: none;
}

.watch-demo.active {
    display: block;
}

.watch-on-wrist {
    width: 100%;
    max-width: 500px;
    aspect-ratio: 100 / 43.65;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.watch-hand-wrapper {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.watch-hand {
    width: 100%;
    height: auto;
    display: block;
    position: relative;
    z-index: 2;
}

.wrist-width {
    position: absolute;
    top: 50%;
    left: 5%;
    transform: translateY(-50%);
    z-index: 2;
}

.watch-band {
    background-size: 100%;
    background-repeat: repeat-y;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    pointer-events: none;
}

.watch-case {
    height: auto;
    position: absolute;
    top: calc(50% + 2px);
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
    pointer-events: none;
}
.watch-size-overlay {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 100;
    align-items: center;
    justify-content: center;
    z-index: 10000;
}

.watch-size-overlay.active {
    display: flex;
}

.pop {
    background: white;
    padding: 1rem;
    max-width: 400px;
    width: 90%;
    text-align: center;
    border-radius: 10px;
}

.close-icon-btn {
    text-align: right;
}

.close-icon-btn button {
    background: none;
    border: none;
    cursor: pointer;
}

.pop-copy {
    font-size: 1rem;
    line-height: 1.5;
}

.pop-img img {
    width: 100%;
    height: auto;
    max-width: 250px;
}

.close-btn button {
    font-size: 1rem;
    color: black;
    padding: 0.9rem 3rem;
    background-color: #60CFF6;
    border: none;
    border-radius: 0;
}